Bug 224604 - devel/godot: version 2.1.4 is available
Summary: devel/godot: version 2.1.4 is available
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks: 224669
  Show dependency treegraph
 
Reported: 2017-12-26 19:53 UTC by Dmitry Marakasov
Modified: 2018-03-16 17:31 UTC (History)
2 users (show)

See Also:
FreeBSD: maintainer-feedback+


Attachments
new ports devel/godot2 and devel/godot2-tools (18.56 KB, text/plain)
2017-12-29 00:32 UTC, Shane
FreeBSD: maintainer-approval+
Details
update games/minilens to use godot2 (894 bytes, patch)
2017-12-29 00:33 UTC, Shane
no flags Details | Diff
update games/tank-of-freedom to use godot2 (919 bytes, patch)
2017-12-29 00:34 UTC, Shane
no flags Details | Diff
new ports devel/godot2 and devel/godot2-tools (27.53 KB, text/plain)
2018-01-17 21:40 UTC, Shane
FreeBSD: maintainer-approval+
Details
maintainer update devel/godot (21.53 KB, patch)
2018-01-17 21:42 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff
maintainer update godot to 3.0 (21.41 KB, patch)
2018-02-16 06:29 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff
maintainer update godot to 3.0.2 (21.50 KB, patch)
2018-03-08 02:55 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2017-12-26 19:53:59 UTC
2.1.2 is almost a year old, version 2.1.4 is available.
Comment 1 Shane 2017-12-29 00:32:32 UTC
Created attachment 189184 [details]
new ports devel/godot2 and devel/godot2-tools

In preparation for the release of Godot v3.0 due in the next month or two, create new ports godot2 and godot2-tools to support existing games files as v3 breaks compatibility with existing files.
Comment 2 Shane 2017-12-29 00:33:39 UTC
Created attachment 189185 [details]
update games/minilens to use godot2

Update games/minilens to use devel/godot2
Comment 3 Shane 2017-12-29 00:34:42 UTC
Created attachment 189186 [details]
update games/tank-of-freedom to use godot2

Update games/tank-of-freedom to use devel/godot2
Comment 4 Steve Wills freebsd_committer 2018-01-08 03:29:40 UTC
I've got a port of Daemon Vs Demon (https://securas.itch.io/daemon-vs-demon) ready when this is committed.
Comment 5 Dmitry Marakasov freebsd_committer 2018-01-12 21:16:01 UTC
(In reply to Steve Wills from comment #4)

Does not build:

===========================================================================
=>> Recording filesystem state for prestage... done
=======================<phase: stage          >============================
===>  Staging for godot2-2.1.4
===>   godot2-2.1.4 depends on executable: xdg-user-dir - found
===>   godot2-2.1.4 depends on executable: xdg-open - found
===>   godot2-2.1.4 depends on executable: xmessage - found
===>   godot2-2.1.4 depends on file: /usr/local/lib/libGL.so - found
===>   godot2-2.1.4 depends on file: /usr/local/libdata/pkgconfig/x11.pc - found
===>   godot2-2.1.4 depends on file: /usr/local/libdata/pkgconfig/xcursor.pc - found
===>   godot2-2.1.4 depends on file: /usr/local/libdata/pkgconfig/xinerama.pc - found
===>   godot2-2.1.4 depends on file: /usr/local/libdata/pkgconfig/xrandr.pc - found
===>   Generating temporary packing list
cd /wrkdirs/usr/ports/devel/godot2/work/godot-2.1.4-stable/bin && install  -s -m 555 godot.x11*  /wrkdirs/usr/ports/devel/godot2/work/stage//usr/local/bin/godot2
cd: /wrkdirs/usr/ports/devel/godot2/work/godot-2.1.4-stable/bin: No such file or directory
*** Error code 2

Stop.
make: stopped in /usr/ports/devel/godot2
Comment 6 Shane 2018-01-17 21:40:25 UTC
Created attachment 189868 [details]
new ports devel/godot2 and devel/godot2-tools

update godot2 to fix build with clang 6 that is now in current.
Comment 7 Shane 2018-01-17 21:42:43 UTC
Created attachment 189869 [details]
maintainer update devel/godot

Update devel/godot (currently a copy of the new godot2 port) to fix build with clang 6 in current. This is a temporary measure to fix port builds until v3.0 is released.
Comment 8 Shane 2018-01-17 21:46:26 UTC
Dmitry, I think if you mark the updates to your games as maintainer approved this might get committed sooner.
Comment 9 Dmitry Marakasov freebsd_committer 2018-01-30 13:35:35 UTC
Let me recheck it once more. I'm going to rename godot to godot2 and update it with https://bugs.freebsd.org/bugzilla/attachment.cgi?id=189868 (next time, please send it as patch to a current version of the port).

Additionally, I'm going to bring back patch-SConstruct (it's required for proper ccache support and to respect CC/CXX) and additionally patch platform/x11/detect.py to NOT add extra compiler flags and NOT change CC/CXX (to clang/clang++)
Comment 10 Dmitry Marakasov freebsd_committer 2018-01-30 14:02:59 UTC
Builds fine, ready to commit.
Comment 11 Dmitry Marakasov freebsd_committer 2018-02-06 15:31:02 UTC
Ping?
Comment 12 Shane 2018-02-09 12:10:38 UTC
(In reply to Dmitry Marakasov from comment #11)
I am waiting for this to be commited, I thought you were going to commit.

I have the 3.0 update ready but am unsure if I should add it here or wait till this gets cleared first.
Comment 13 Shane 2018-02-16 06:29:43 UTC
Created attachment 190679 [details]
maintainer update godot to 3.0

As this still hasn't been committed I am replacing the godot update patch to be the update to godot 3.0

To fix build on 10.4 USES=compiler:c++14-lang is being used. clang50 is already in place to build opengl so this doesn't alter the build dependencies.

Godot 3.0 includes initial support for C# scripting via mono, while this option can be built it isn't stable enough to use so I am not making the option visible for this release. The ability is there if someone wants to manually add the option and help test this feature.
Comment 14 Shane 2018-03-08 02:55:48 UTC
Created attachment 191297 [details]
maintainer update godot to 3.0.2
Comment 15 Dmitry Marakasov freebsd_committer 2018-03-15 17:55:35 UTC
(In reply to Shane from comment #12)
> (In reply to Dmitry Marakasov from comment #11)
> I am waiting for this to be commited, I thought you were going to commit.

I was waiting for your approval. Assuming approved.
Comment 16 commit-hook freebsd_committer 2018-03-16 17:28:26 UTC
A commit references this bug:

Author: amdmi3
Date: Fri Mar 16 17:28:00 UTC 2018
New revision: 464714
URL: https://svnweb.freebsd.org/changeset/ports/464714

Log:
  - Rename godot, godot-tools to godot2, godot2-tools in preparation for godot 3
  - Fix godot consumers to use godot2

  PR:		224604
  Submitted by:	FreeBSD@ShaneWare.Biz (maintainer)

Changes:
  head/devel/Makefile
  head/devel/godot2/
  head/devel/godot2/Makefile
  head/devel/godot2/distinfo
  head/devel/godot2/files/patch-core_image.cpp
  head/devel/godot2/files/patch-core_ustring.cpp
  head/devel/godot2/files/patch-drivers_gles2_rasterizer__gles2.cpp
  head/devel/godot2/files/patch-drivers_unix_os__unix.cpp
  head/devel/godot2/files/patch-modules_speex_audio__stream__speex.cpp
  head/devel/godot2/files/patch-platform_x11_detect.py
  head/devel/godot2/files/patch-platform_x11_os__x11.cpp
  head/devel/godot2/files/patch-servers_audio_audio__mixer__sw.cpp
  head/devel/godot2/files/patch-servers_spatial__sound__2d_spatial__sound__2d__server__sw.cpp
  head/devel/godot2/files/patch-servers_spatial__sound_spatial__sound__server__sw.cpp
  head/devel/godot2/files/patch-thirdparty_glew_glew.c
  head/devel/godot2/pkg-descr
  head/devel/godot2-tools/
  head/devel/godot2-tools/Makefile
  head/devel/godot2-tools/pkg-message
  head/games/minilens/Makefile
  head/games/tanks-of-freedom/Makefile
Comment 17 commit-hook freebsd_committer 2018-03-16 17:30:30 UTC
A commit references this bug:

Author: amdmi3
Date: Fri Mar 16 17:30:05 UTC 2018
New revision: 464715
URL: https://svnweb.freebsd.org/changeset/ports/464715

Log:
  - Update godot to 3.0.2

  PR:		224604
  Submitted by:	FreeBSD@ShaneWare.Biz (maintainer)

Changes:
  head/devel/godot/Makefile
  head/devel/godot/distinfo
  head/devel/godot/files/patch-SConstruct
  head/devel/godot/files/patch-drivers_SCsub
  head/devel/godot/files/patch-drivers_unix_os__unix.cpp
  head/devel/godot/files/patch-modules_mono_SCsub
  head/devel/godot/files/patch-modules_speex_audio__stream__speex.cpp
  head/devel/godot/files/patch-platform_x11_detect.py
  head/devel/godot/files/patch-platform_x11_os__x11.cpp
  head/devel/godot/files/patch-platform_x11_os__x11.h
  head/devel/godot/files/patch-scene_gui_rich__text__label.cpp
  head/devel/godot/files/patch-thirdparty_thekla__atlas_nvcore_Memory.cpp
  head/devel/godot/files/patch-thirdparty_thekla__atlas_nvcore_StdStream.h